Subject: mtg etc next ads mtg at Char's
From: "Jim Kirchstein" <[email-masked]>
To: "Char Olson" <[email-masked]>, "ADS Dan" <[email-masked]>
Date: Mon, 30 Jul 2012 12:28:54 -0500

Hi....I haven't heard any more info on ADS activities or the upcoming meeting agenda.
In fact, I don't even know if I'm still on the board after squandering such large amounts of funds (!).

Since we would like to have Dan Boulden attend the meeting via phone or Skype, is there a computer available at your place? I have a conference phone unit that we could use if we do just the voice.
Since cell phones usually do not charge for weekend calls, perhaps that would be a better way to go.

By cc: this to Dan, we can see if he has a preference.

Thanks